| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Macros | Functions
icp.h File Reference
`#include <stdio.h>`
`#include <ARX/AR/icpCore.h>`
Include dependency graph for icp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | ICPDataT
struct | ICPStereoDataT
struct | ICPHandleT
struct | ICPStereoHandleT

## Macros
#define | ICP_TRANS_MAT_IDENTITY NULL

## Functions
int | icpGetInitXw2Xc_from_PlanarData (ARdouble matXc2U[3][4], ICP2DCoordT screenCoord[], ICP3DCoordT worldCoord[], int num, ARdouble initMatXw2Xc[3][4])
ICPHandleT * | icpCreateHandle (const ARdouble matXc2U[3][4])
int | icpDeleteHandle (ICPHandleT **handle)
int | icpSetMatXc2U (ICPHandleT *handle, const ARdouble matXc2U[3][4])
int | icpGetMatXc2U (ICPHandleT *handle, ARdouble matXc2U[3][4])
int | icpSetMaxLoop (ICPHandleT *handle, int maxLoop)
int | icpGetMaxLoop (ICPHandleT *handle, int *maxLoop)
int | icpSetBreakLoopErrorThresh (ICPHandleT *handle, ARdouble breakLoopErrorThresh)
int | icpGetBreakLoopErrorThresh (ICPHandleT *handle, ARdouble *breakLoopErrorThresh)
int | icpSetBreakLoopErrorRatioThresh (ICPHandleT *handle, ARdouble breakLoopErrorThresh)
int | icpGetBreakLoopErrorRatioThresh (ICPHandleT *handle, ARdouble *breakLoopErrorThresh)
int | icpSetBreakLoopErrorThresh2 (ICPHandleT *handle, ARdouble breakLoopErrorThresh2)
int | icpGetBreakLoopErrorThresh2 (ICPHandleT *handle, ARdouble *breakLoopErrorThresh2)
int | icpSetInlierProbability (ICPHandleT *handle, ARdouble inlierProbability)
ICP_EXTERN int | icpGetInlierProbability (ICPHandleT *handle, ARdouble *inlierProbability)
int | icpPoint (ICPHandleT *handle, ICPDataT *data, ARdouble initMatXw2Xc[3][4], ARdouble matXw2Xc[3][4], ARdouble *err)
int | icpPointRobust (ICPHandleT *handle, ICPDataT *data, ARdouble initMatXw2Xc[3][4], ARdouble matXw2Xc[3][4], ARdouble *err)
ICPStereoHandleT * | icpStereoCreateHandle (const ARdouble matXcl2Ul[3][4], const ARdouble matXcr2Ur[3][4], const ARdouble matC2L[3][4], const ARdouble matC2R[3][4])
int | icpStereoDeleteHandle (ICPStereoHandleT **handle)
int | icpStereoSetMatXcl2Ul (ICPStereoHandleT *handle, ARdouble matXcl2Ul[3][4])
int | icpStereoSetMatXcr2Ur (ICPStereoHandleT *handle, ARdouble matXcr2Ur[3][4])
int | icpStereoGetMatXcl2Ul (ICPStereoHandleT *handle, ARdouble matXcl2Ul[3][4])
int | icpStereoGetMatXcr2Ur (ICPStereoHandleT *handle, ARdouble matXcr2Ur[3][4])
int | icpStereoSetMatC2L (ICPStereoHandleT *handle, ARdouble matC2L[3][4])
int | icpStereoSetMatC2R (ICPStereoHandleT *handle, ARdouble matC2R[3][4])
int | icpStereoGetMatC2L (ICPStereoHandleT *handle, ARdouble matC2L[3][4])
int | icpStereoGetMatC2R (ICPStereoHandleT *handle, ARdouble matC2R[3][4])
int | icpStereoSetMaxLoop (ICPStereoHandleT *handle, int maxLoop)
int | icpStereoGetMaxLoop (ICPStereoHandleT *handle, int *maxLoop)
int | icpStereoSetBreakLoopErrorThresh (ICPStereoHandleT *handle, ARdouble breakLoopErrorThresh)
int | icpStereoGetBreakLoopErrorThresh (ICPStereoHandleT *handle, ARdouble *breakLoopErrorThresh)
int | icpStereoSetBreakLoopErrorRatioThresh (ICPStereoHandleT *handle, ARdouble breakLoopErrorThresh)
int | icpStereoGetBreakLoopErrorRatioThresh (ICPStereoHandleT *handle, ARdouble *breakLoopErrorThresh)
int | icpStereoSetBreakLoopErrorThresh2 (ICPStereoHandleT *handle, ARdouble breakLoopErrorThresh2)
int | icpStereoGetBreakLoopErrorThresh2 (ICPStereoHandleT *handle, ARdouble *breakLoopErrorThresh2)
int | icpStereoSetInlierProbability (ICPStereoHandleT *handle, ARdouble inlierProbability)
int | icpStereoGetInlierProbability (ICPStereoHandleT *handle, ARdouble *inlierProbability)
int | icpStereoPoint (ICPStereoHandleT *handle, ICPStereoDataT *data, ARdouble initMatXw2Xc[3][4], ARdouble matXw2Xc[3][4], ARdouble *err)
int | icpStereoPointRobust (ICPStereoHandleT *handle, ICPStereoDataT *data, ARdouble initMatXw2Xc[3][4], ARdouble matXw2Xc[3][4], ARdouble *err)

## Macro Definition Documentation

## ◆ ICP_TRANS_MAT_IDENTITY

#define ICP_TRANS_MAT_IDENTITY NULL

## Function Documentation

## ◆ icpCreateHandle()

ICPHandleT * icpCreateHandle | ( | const ARdouble | matXc2U[3][4] | ) |

## ◆ icpDeleteHandle()

int icpDeleteHandle | ( | ICPHandleT ** | handle | ) |

## ◆ icpGetBreakLoopErrorRatioThresh()

int icpGetBreakLoopErrorRatioThresh | ( | ICPHandleT * | handle,
|  | ARdouble * | breakLoopErrorThresh
| ) |  |

## ◆ icpGetBreakLoopErrorThresh()

int icpGetBreakLoopErrorThresh | ( | ICPHandleT * | handle,
|  | ARdouble * | breakLoopErrorThresh
| ) |  |

## ◆ icpGetBreakLoopErrorThresh2()

int icpGetBreakLoopErrorThresh2 | ( | ICPHandleT * | handle,
|  | ARdouble * | breakLoopErrorThresh2
| ) |  |

## ◆ icpGetInitXw2Xc_from_PlanarData()

int icpGetInitXw2Xc_from_PlanarData | ( | ARdouble | matXc2U[3][4],
|  | ICP2DCoordT | screenCoord[],
|  | ICP3DCoordT | worldCoord[],
|  | int | num,
|  | ARdouble | initMatXw2Xc[3][4]
| ) |  |

Here is the call graph for this function:

## ◆ icpGetInlierProbability()

ICP_EXTERN int icpGetInlierProbability | ( | ICPHandleT * | handle,
|  | ARdouble * | inlierProbability
| ) |  |

## ◆ icpGetMatXc2U()

int icpGetMatXc2U | ( | ICPHandleT * | handle,
|  | ARdouble | matXc2U[3][4]
| ) |  |

## ◆ icpGetMaxLoop()

int icpGetMaxLoop | ( | ICPHandleT * | handle,
|  | int * | maxLoop
| ) |  |

## ◆ icpPoint()

int icpPoint | ( | ICPHandleT * | handle,
|  | ICPDataT * | data,
|  | ARdouble | initMatXw2Xc[3][4],
|  | ARdouble | matXw2Xc[3][4],
|  | ARdouble * | err
| ) |  |

Here is the call graph for this function:

## ◆ icpPointRobust()

int icpPointRobust | ( | ICPHandleT * | handle,
|  | ICPDataT * | data,
|  | ARdouble | initMatXw2Xc[3][4],
|  | ARdouble | matXw2Xc[3][4],
|  | ARdouble * | err
| ) |  |

Here is the call graph for this function:

## ◆ icpSetBreakLoopErrorRatioThresh()

int icpSetBreakLoopErrorRatioThresh | ( | ICPHandleT * | handle,
|  | ARdouble | breakLoopErrorThresh
| ) |  |

## ◆ icpSetBreakLoopErrorThresh()

int icpSetBreakLoopErrorThresh | ( | ICPHandleT * | handle,
|  | ARdouble | breakLoopErrorThresh
| ) |  |

## ◆ icpSetBreakLoopErrorThresh2()

int icpSetBreakLoopErrorThresh2 | ( | ICPHandleT * | handle,
|  | ARdouble | breakLoopErrorThresh2
| ) |  |

## ◆ icpSetInlierProbability()

int icpSetInlierProbability | ( | ICPHandleT * | handle,
|  | ARdouble | inlierProbability
| ) |  |

## ◆ icpSetMatXc2U()

int icpSetMatXc2U | ( | ICPHandleT * | handle,
|  | const ARdouble | matXc2U[3][4]
| ) |  |

## ◆ icpSetMaxLoop()

int icpSetMaxLoop | ( | ICPHandleT * | handle,
|  | int | maxLoop
| ) |  |

## ◆ icpStereoCreateHandle()

ICPStereoHandleT * icpStereoCreateHandle | ( | const ARdouble | matXcl2Ul[3][4],
|  | const ARdouble | matXcr2Ur[3][4],
|  | const ARdouble | matC2L[3][4],
|  | const ARdouble | matC2R[3][4]
| ) |  |

## ◆ icpStereoDeleteHandle()

int icpStereoDeleteHandle | ( | ICPStereoHandleT ** | handle | ) |

## ◆ icpStereoGetBreakLoopErrorRatioThresh()

int icpStereoGetBreakLoopErrorRatioThresh | ( | ICPStereoHandleT * | handle,
|  | ARdouble * | breakLoopErrorThresh
| ) |  |

## ◆ icpStereoGetBreakLoopErrorThresh()

int icpStereoGetBreakLoopErrorThresh | ( | ICPStereoHandleT * | handle,
|  | ARdouble * | breakLoopErrorThresh
| ) |  |

## ◆ icpStereoGetBreakLoopErrorThresh2()

int icpStereoGetBreakLoopErrorThresh2 | ( | ICPStereoHandleT * | handle,
|  | ARdouble * | breakLoopErrorThresh2
| ) |  |

## ◆ icpStereoGetInlierProbability()

int icpStereoGetInlierProbability | ( | ICPStereoHandleT * | handle,
|  | ARdouble * | inlierProbability
| ) |  |

## ◆ icpStereoGetMatC2L()

int icpStereoGetMatC2L | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matC2L[3][4]
| ) |  |

## ◆ icpStereoGetMatC2R()

int icpStereoGetMatC2R | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matC2R[3][4]
| ) |  |

## ◆ icpStereoGetMatXcl2Ul()

int icpStereoGetMatXcl2Ul | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matXcl2Ul[3][4]
| ) |  |

## ◆ icpStereoGetMatXcr2Ur()

int icpStereoGetMatXcr2Ur | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matXcr2Ur[3][4]
| ) |  |

## ◆ icpStereoGetMaxLoop()

int icpStereoGetMaxLoop | ( | ICPStereoHandleT * | handle,
|  | int * | maxLoop
| ) |  |

## ◆ icpStereoPoint()

int icpStereoPoint | ( | ICPStereoHandleT * | handle,
|  | ICPStereoDataT * | data,
|  | ARdouble | initMatXw2Xc[3][4],
|  | ARdouble | matXw2Xc[3][4],
|  | ARdouble * | err
| ) |  |

Here is the call graph for this function:

## ◆ icpStereoPointRobust()

int icpStereoPointRobust | ( | ICPStereoHandleT * | handle,
|  | ICPStereoDataT * | data,
|  | ARdouble | initMatXw2Xc[3][4],
|  | ARdouble | matXw2Xc[3][4],
|  | ARdouble * | err
| ) |  |

Here is the call graph for this function:

## ◆ icpStereoSetBreakLoopErrorRatioThresh()

int icpStereoSetBreakLoopErrorRatioThresh | ( | ICPStereoHandleT * | handle,
|  | ARdouble | breakLoopErrorThresh
| ) |  |

## ◆ icpStereoSetBreakLoopErrorThresh()

int icpStereoSetBreakLoopErrorThresh | ( | ICPStereoHandleT * | handle,
|  | ARdouble | breakLoopErrorThresh
| ) |  |

## ◆ icpStereoSetBreakLoopErrorThresh2()

int icpStereoSetBreakLoopErrorThresh2 | ( | ICPStereoHandleT * | handle,
|  | ARdouble | breakLoopErrorThresh2
| ) |  |

## ◆ icpStereoSetInlierProbability()

int icpStereoSetInlierProbability | ( | ICPStereoHandleT * | handle,
|  | ARdouble | inlierProbability
| ) |  |

## ◆ icpStereoSetMatC2L()

int icpStereoSetMatC2L | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matC2L[3][4]
| ) |  |

## ◆ icpStereoSetMatC2R()

int icpStereoSetMatC2R | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matC2R[3][4]
| ) |  |

## ◆ icpStereoSetMatXcl2Ul()

int icpStereoSetMatXcl2Ul | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matXcl2Ul[3][4]
| ) |  |

## ◆ icpStereoSetMatXcr2Ur()

int icpStereoSetMatXcr2Ur | ( | ICPStereoHandleT * | handle,
|  | ARdouble | matXcr2Ur[3][4]
| ) |  |

## ◆ icpStereoSetMaxLoop()

int icpStereoSetMaxLoop | ( | ICPStereoHandleT * | handle,
|  | int | maxLoop
| ) |  |